using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;
using UnityEngine.EventSystems;

public class ChangeSceneButton : MonoBehaviour, IPointerDownHandler
{

    public string sceneToChangeTo;

    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        if (Input.GetKeyDown(KeyCode.Escape))
        {
            Application.Quit();
            return;
        }
    }

    public void OnPointerDown(PointerEventData eventData)
    {
        SceneManager.LoadScene(sceneToChangeTo, LoadSceneMode.Single);
    }
}
